Polynomial Functions
Signal Processing (SP) Module

## Functions

double | itpp::cheb (int n, double x)
| Chebyshev polynomial of the first kind.
vec | itpp::cheb (int n, const vec &x)
| Chebyshev polynomial of the first kind.
mat | itpp::cheb (int n, const mat &x)
| Chebyshev polynomial of the first kind.
void | itpp::poly (const vec &r, vec &p)
| Create a polynomial of the given roots.
void | itpp::poly (const cvec &r, cvec &p)
| Create a polynomial of the given roots.
vec | itpp::poly (const vec &r)
| Create a polynomial of the given roots.
cvec | itpp::poly (const cvec &r)
| Create a polynomial of the given roots.
void | itpp::roots (const vec &p, cvec &r)
| Calculate the roots of the polynomial.
void | itpp::roots (const cvec &p, cvec &r)
| Calculate the roots of the polynomial.
cvec | itpp::roots (const vec &p)
| Calculate the roots of the polynomial.
cvec | itpp::roots (const cvec &p)
| Calculate the roots of the polynomial.
vec | itpp::polyval (const vec &p, const vec &x)
| Evaluate polynomial.
cvec | itpp::polyval (const vec &p, const cvec &x)
| Evaluate polynomial.
cvec | itpp::polyval (const cvec &p, const vec &x)
| Evaluate polynomial.
cvec | itpp::polyval (const cvec &p, const cvec &x)
| Evaluate polynomial.

## Detailed Description

## Function Documentation

## poly() [1/4]

ITPP_EXPORT void itpp::poly | ( | const vec & | r,
|  | vec & | p )

Create a polynomial of the given roots.

Create a polynomial `p` with roots `r`

Definition at line 40 of file poly.cpp.

Referenced by poly(), poly(), poly2ac(), poly2lsf(), poly2rc(), polystab(), polystab(), itpp::CRC_Code::set_code(), and itpp::CRC_Code::set_generator().

## roots() [1/4]

ITPP_EXPORT void itpp::roots | ( | const vec & | p,
|  | cvec & | r )

Calculate the roots of the polynomial.

Calculate the roots `r` of the polynomial `p`

Definition at line 66 of file poly.cpp.

References concat(), diag(), eig(), find(), ones(), and zeros_c().

Referenced by polystab(), polystab(), roots(), roots(), and itpp::Turbo_Codec::wcdma_turbo_interleaver_sequence().

## polyval() [1/4]

ITPP_EXPORT vec itpp::polyval | ( | const vec & | p,
|  | const vec & | x )

Evaluate polynomial.

Evaluate the polynomial `p` (of length at the points `x` The output is given by

Definition at line 135 of file poly.cpp.

References elem_mult(), and it_error_if.

Referenced by freqz(), and freqz().

## cheb() [1/3]

ITPP_EXPORT double itpp::cheb | ( | int | n,
|  | double | x )

Chebyshev polynomial of the first kind.

Chebyshev polynomials of the first kind can be defined as follows:

Parameters

  n | order of the Chebyshev polynomial
  x | value at which the Chebyshev polynomial is to be evaluated

Author
  Kumar Appaiah, Adam Piatyszek (code review)

Definition at line 195 of file poly.cpp.

References acosh(), is_even(), and it_assert.

Referenced by cheb(), cheb(), and chebwin().

## cheb() [2/3]

ITPP_EXPORT vec itpp::cheb | ( | int | n,
|  | const vec & | x )

Chebyshev polynomial of the first kind.

Chebyshev polynomials of the first kind can be defined as follows:

Parameters

  n | order of the Chebyshev polynomial
  x | vector of values at which the Chebyshev polynomial is to be evaluated

Returns
  values of the Chebyshev polynomial evaluated for each element of `x`

Author
  Kumar Appaiah, Adam Piatyszek (code review)

Definition at line 209 of file poly.cpp.

References cheb(), and it_assert_debug.

## cheb() [3/3]

ITPP_EXPORT mat itpp::cheb | ( | int | n,
|  | const mat & | x )

Chebyshev polynomial of the first kind.

Chebyshev polynomials of the first kind can be defined as follows:

Parameters

  n | order of the Chebyshev polynomial
  x | matrix of values at which the Chebyshev polynomial is to be evaluated

Returns
  values of the Chebyshev polynomial evaluated for each element in `x`.

Author
  Kumar Appaiah, Adam Piatyszek (code review)

Definition at line 220 of file poly.cpp.

References cheb(), and it_assert_debug.

## poly() [2/4]

ITPP_EXPORT void itpp::poly | ( | const cvec & | r,
|  | cvec & | p )

Create a polynomial of the given roots.

Create a polynomial `p` with roots `r`

Definition at line 52 of file poly.cpp.

## roots() [2/4]

ITPP_EXPORT void itpp::roots | ( | const cvec & | p,
|  | cvec & | r )

Calculate the roots of the polynomial.

Calculate the roots `r` of the polynomial `p`

Definition at line 99 of file poly.cpp.

References concat(), diag(), eig(), ones_c(), and zeros_c().

## polyval() [2/4]

ITPP_EXPORT cvec itpp::polyval | ( | const vec & | p,
|  | const cvec & | x )

Evaluate polynomial.

Evaluate the polynomial `p` (of length at the points `x` The output is given by

Definition at line 150 of file poly.cpp.

References elem_mult(), and it_error_if.

## polyval() [3/4]

ITPP_EXPORT cvec itpp::polyval | ( | const cvec & | p,
|  | const vec & | x )

Evaluate polynomial.

Evaluate the polynomial `p` (of length at the points `x` The output is given by

Definition at line 165 of file poly.cpp.

References elem_mult(), it_error_if, and to_cvec().

## polyval() [4/4]

ITPP_EXPORT cvec itpp::polyval | ( | const cvec & | p,
|  | const cvec & | x )

Evaluate polynomial.

Evaluate the polynomial `p` (of length at the points `x` The output is given by

Definition at line 180 of file poly.cpp.

References elem_mult(), and it_error_if.

## poly() [3/4]

vec itpp::poly | ( | const vec & | r | ) |

inline

Create a polynomial of the given roots.

Create a polynomial `p` with roots `r`

Definition at line 47 of file poly.h.

References poly().

## poly() [4/4]

cvec itpp::poly | ( | const cvec & | r | ) |

inline

Create a polynomial of the given roots.

Create a polynomial `p` with roots `r`

Definition at line 49 of file poly.h.

References poly().

## roots() [3/4]

cvec itpp::roots | ( | const vec & | p | ) |

inline

Calculate the roots of the polynomial.

Calculate the roots `r` of the polynomial `p`

Definition at line 62 of file poly.h.

References roots().

## roots() [4/4]

cvec itpp::roots | ( | const cvec & | p | ) |

inline

Calculate the roots of the polynomial.

Calculate the roots `r` of the polynomial `p`

Definition at line 64 of file poly.h.

References roots().

Generated on for IT++ by Doxygen 1.15.0